-- VERIFICATION (READ ONLY)
print 'Beginning Verification (Read Only)'
SELECT TOP(3) * FROM class_members
SELECT TOP(3) * FROM classes
SELECT TOP(3) * FROM countries
SELECT TOP(3) * FROM class_members
SELECT TOP(3) * FROM genders
SELECT TOP(3) * FROM invoices
SELECT TOP(3) * FROM members
SELECT TOP(3) * FROM political_affiliations
SELECT TOP(3) * FROM pronouns
SELECT TOP(3) * FROM races

DECLARE @goodpw INTEGER
EXEC @goodpw = p_password_validate 'password1',1
PRINT 'Expecting a 1 here: ' + CAST(@goodpw AS CHAR)
DECLARE @badpw INTEGER
EXEC @badpw = p_password_validate 'password2',1
PRINT 'Expecting a 0 here: ' + CAST(@badpw AS CHAR)

SELECT * FROM f_wordcloud_by_class_id (2) ORDER BY demographic
SELECT demographic, count(*) AS frequency FROM f_wordcloud_by_class_id (2) GROUP BY demographic ORDER BY frequency DESC

SELECT * FROM f_gcd_by_class_id (2, 5)
SELECT * FROM f_lcd_by_class_id (2, 5)
GO

print 'Verification (Read Only) Complete'
