-- VERIFICATION (Programming)
-- Note: This will create or update records
print 'Beginning Verification (Programming)'
exec p_member_create 0,'createsp@syr.edu','Create','StoredProcedure','Omniest','1989-07-25','(315)555-4188','English','Crappy Spanish','','','','United States','White','Female','She/Her','Democratic','password1'
SELECT * FROM members WHERE member_email = 'createsp@syr.edu'

DECLARE @pwchange INTEGER
EXEC @pwchange = p_password_validate 'password51',51
PRINT 'Expecting a 1 here: ' + CAST(@pwchange AS CHAR)
EXEC p_password_change 'password51', 'password51a', 51
DECLARE @pwchange1 INTEGER
EXEC @pwchange1 = p_password_validate 'password51',51
PRINT 'Expecting a 0 here: ' + CAST(@pwchange1 AS CHAR)
DECLARE @pwchange2 INTEGER
EXEC @pwchange2 = p_password_validate 'password51a',51
PRINT 'Expecting a 1 here: ' + CAST(@pwchange2 AS CHAR)

exec p_member_update 52,'updated@syr.edu','Create','StoredProcedure','Omniest','1989-07-25','(315)555-4188','English','Crappy Spanish','','','','United States','White','Female','She/Her','Democratic'
SELECT * FROM members WHERE member_id = 52

EXEC p_class_create 0,'Test Class',2,'2022-04-08 14:00:00','2022-04-08 15:00:00','Test class',25,6
SELECT * FROM classes WHERE class_name = 'Test Class'
EXEC p_class_update 17,'Test Class Updated',2,'2022-04-08 14:00:00','2022-04-08 15:00:00','Test class',25,6
SELECT * FROM classes WHERE class_name = 'Test Class Updated'

exec p_class_enroll_member 17, 52
SELECT * FROM class_members WHERE class_id = 17 AND member_id = 52
exec p_class_unenroll_member 17, 52
SELECT * FROM class_members WHERE class_id = 17 AND member_id = 52

SELECT * FROM f_class_attendance_by_class_id(1)
SELECT * FROM f_classes_by_leader_id(1)
SELECT * FROM f_classes_by_leader_email('nschneid@syr.edu')
SELECT * FROM f_class_attendance_by_leader_id(1)
SELECT * FROM f_class_attendance_by_leader_email('nschneid@syr.edu')
SELECT * FROM f_class_attendance_by_member_id(1)
SELECT * FROM f_class_attendance_by_member_email('nschneid@syr.edu')
SELECT * FROM f_invoices_by_class_id(2)
SELECT * FROM f_invoices_by_member_id(2)
SELECT * FROM f_invoices_by_member_email('ahla01@syr.edu')
SELECT * FROM f_revenue_by_class_id(2)
SELECT * FROM f_revenue_by_leader_id(1)
SELECT * FROM f_revenue_by_leader_timeframe('2022-04-01','2022-05-15')
SELECT * FROM f_revenue_by_timeframe('2022-04-01','2022-05-15')

print 'Verification (Programming) Complete'
